import * as NexusSchema from '@nexus/schema';
import * as GraphQL from 'graphql';
export function createNexusSchemaStateful() {
    const state = {
        types: [],
    };
    function objectType(config) {
        const typeDef = NexusSchema.objectType(config);
        state.types.push(typeDef);
        return typeDef;
    }
    function interfaceType(config) {
        const typeDef = NexusSchema.interfaceType(config);
        state.types.push(typeDef);
        return typeDef;
    }
    function unionType(config) {
        const typeDef = NexusSchema.unionType(config);
        state.types.push(typeDef);
        return typeDef;
    }
    function scalarType(config) {
        const typeDef = NexusSchema.scalarType(config);
        state.types.push(typeDef);
        return typeDef;
    }
    function enumType(config) {
        const typeDef = NexusSchema.enumType(config);
        state.types.push(typeDef);
        return typeDef;
    }
    const inputObjectType = (config) => {
        const typeDef = NexusSchema.inputObjectType(config);
        state.types.push(typeDef);
        return typeDef;
    };
    const queryType = (config) => {
        const typeDef = NexusSchema.queryType(config);
        state.types.push(typeDef);
        return typeDef;
    };
    const mutationType = (config) => {
        const typeDef = NexusSchema.mutationType(config);
        state.types.push(typeDef);
        return typeDef;
    };
    const extendType = (config) => {
        const typeDef = NexusSchema.extendType(config);
        state.types.push(typeDef);
        return typeDef;
    };
    const extendInputType = (config) => {
        const typeDef = NexusSchema.extendInputType(config);
        state.types.push(typeDef);
        return typeDef;
    };
    function importType(type, methodName) {
        if (type instanceof GraphQL.GraphQLScalarType && methodName) {
            const typeDef = NexusSchema.asNexusMethod(type, methodName);
            state.types.push(typeDef);
            return typeDef;
        }
        state.types.push(type);
        return type;
    }
    const arg = NexusSchema.arg;
    const intArg = NexusSchema.intArg;
    const stringArg = NexusSchema.stringArg;
    const idArg = NexusSchema.idArg;
    const floatArg = NexusSchema.floatArg;
    const booleanArg = NexusSchema.booleanArg;
    return {
        state: state,
        builders: {
            queryType,
            mutationType,
            objectType,
            inputObjectType,
            unionType,
            interfaceType,
            enumType,
            scalarType,
            arg,
            intArg,
            stringArg,
            idArg,
            floatArg,
            booleanArg,
            extendType,
            extendInputType,
            importType,
        },
    };
}
//# sourceMappingURL=stateful-nexus-schema.js.map