import { Either } from 'fp-ts/lib/Either';
import { ContextualError } from '../utils';
import { Manifest, Plugin } from './types';
export declare type GetManifestError = ContextualError<{
    plugin: Plugin;
    name?: string;
}>;
/**
 * Process manifest input into a manifest.
 *
 * @remarks
 *
 * The manifest input is what the plugin author provides. This supplies
 * defaults and fulfills properties to produce normalized manifest data.
 */
export declare function getPluginManifest(plugin: Plugin): Either<GetManifestError, Manifest>;
/**
 * Display erorrs then exit the program.
 */
export declare function showManifestErrorsAndExit(errors: GetManifestError[]): never;
/**
 * Process the given manifest inputs into manifests
 */
export declare function getPluginManifests(plugins: Plugin[]): {
    data: Manifest[];
    errors: ContextualError<{
        plugin: Plugin<any>;
        name?: string | undefined;
    }>[] | null;
};
//# sourceMappingURL=manifest.d.ts.map