import { Either } from 'fp-ts/lib/Either';
/**
 * Handoff execution from a global to local version of a package.
 *
 * If the givne global module path is not a real node package (defined as being
 * unable to locate its package.json file) then an error will be thrown.
 */
export declare function globalToLocalModule(input: {
    localPackageDir: string;
    globalPackageFilename: string;
}): void;
/**
 * Extract the left value from an Either.
 */
export declare function getLeft<A, B>(e: Either<A, B>): A | undefined;
/**
 * Extract the right value from an Either.
 */
export declare function getRight<A, B>(e: Either<A, B>): B | undefined;
/**
 * Extract the right value from an Either or throw.
 */
export declare function rightOrThrow<A extends Error, B>(x: Either<A, B>): B;
/**
 * Extract the right value from an Either or throw.
 */
export declare function rightOrFatal<A extends Error, B>(x: Either<A, B>): B;
//# sourceMappingURL=utils.d.ts.map